// MIT © 2017 azu
// MIT © 2017 59naga
// https://github.com/59naga/carrack
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PromiseEventEmitter = void 0;
const events_1 = require("events");
class PromiseEventEmitter {
    constructor() {
        this.events = new events_1.EventEmitter();
        this.events.setMaxListeners(0);
    }
    listenerCount(type) {
        return this.events.listenerCount(type);
    }
    on(event, listener) {
        return this.events.on(event, listener);
    }
    emit(event, ...args) {
        const promises = [];
        this.events.listeners(event).forEach((listener) => {
            promises.push(listener(...args));
        });
        return Promise.all(promises);
    }
}
exports.PromiseEventEmitter = PromiseEventEmitter;
//# sourceMappingURL=promise-event-emitter.js.map