// LICENSE : MIT
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterDuplicatedMessages = void 0;
/**
 * equal message
 */
const isEqualMessage = (aMessage, bMessage) => {
    return (aMessage.range[0] === bMessage.range[0] &&
        aMessage.range[1] === bMessage.range[1] &&
        "severity" in aMessage &&
        "severity" in bMessage &&
        aMessage.severity === bMessage.severity &&
        aMessage.message === bMessage.message);
};
/**
 * filter duplicated messages
 */
function filterDuplicatedMessages(messages = []) {
    return messages.filter((message, index) => {
        const restMessages = messages.slice(index + 1);
        return !restMessages.some((restMessage) => {
            return isEqualMessage(message, restMessage);
        });
    });
}
exports.filterDuplicatedMessages = filterDuplicatedMessages;
//# sourceMappingURL=filter-duplicated-process.js.map