"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterByAllowMessageIds = void 0;
const filterByAllowMessageIds = (messages, allowMessageIds) => {
    const disabledSet = new Set(allowMessageIds.map((allowMessage) => {
        return `${allowMessage.ruleId}--${allowMessage.messageId}`;
    }));
    return messages.filter((message) => {
        return !disabledSet.has(`${message.ruleId}--${message.messageId}`);
    });
};
exports.filterByAllowMessageIds = filterByAllowMessageIds;
//# sourceMappingURL=filter-message-id.js.map